'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.display = void 0;
const core_1 = require("@oclif/core");
const addSeconds = require("date-fns/add_seconds");
const distanceInWordsToNow = require("date-fns/distance_in_words_to_now");
function display(auth) {
    const obj = {
        ID: auth.id,
        Description: auth.description,
        Scope: auth.scope ? auth.scope.join(',') : undefined,
        Client: '<none>',
    };
    if (auth.client) {
        obj.Client = auth.client.name;
        obj['Redirect URI'] = auth.client.redirect_uri;
    }
    if (auth.access_token) {
        obj.Token = auth.access_token.token;
        if (auth.updated_at) {
            obj['Updated at'] = `${addSeconds(auth.updated_at, 0)} (${distanceInWordsToNow(auth.updated_at)} ago)`;
        }
        if (auth.access_token.expires_in) {
            const date = addSeconds(new Date(), auth.access_token.expires_in);
            obj['Expires at'] = `${date} (in ${distanceInWordsToNow(date)})`;
        }
    }
    core_1.CliUx.ux.styledObject(obj, [
        'Client',
        'Redirect URI',
        'ID',
        'Description',
        'Scope',
        'Token',
        'Expires at',
        'Updated at',
    ]);
}
exports.display = display;
